> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Recovery Code Email

> Send the user a recovery verification code. This code is used as a second factor to verify the user initiated the recovery request.

#### Authentication

No authentication required.

#### Required Permissions

No authentication required.


## OpenAPI

````yaml /openapi.yaml post /auth/recover/user/code
openapi: 3.1.0
info:
  version: 1.880.1
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /auth/recover/user/code:
    post:
      tags:
        - Auth
      summary: Send Recovery Code Email
      description: >-
        Send the user a recovery verification code. This code is used as a
        second factor to verify the user initiated the recovery request.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                username:
                  type: string
                  minLength: 1
                  description: >-
                    Username/identifier of the user to send the recovery code
                    to.
                orgId:
                  type: string
                  minLength: 1
                  maxLength: 64
                  pattern: ^or-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                  description: Organization id.
                  example: or-30tnh-itmjs-s235s5ontr3r23h2
                tenantId:
                  type: string
                  minLength: 1
                  maxLength: 64
                  pattern: ^acct-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                  description: Tenant id.
                  example: acct-24hka-dhili-9hgvdlvr1ohpibp4
              required:
                - username
              additionalProperties: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Human-readable success message.
                required:
                  - message
      security:
        - {}

````